Subject: Re [pim] RP map problem - BSR

From: "P.Jhingran" <[email-masked]>
Date: 9 Jan 2002 05:40:10 -0000

hi katta,  
          I think a C-RP should not abruptly change its RP priority. It should first advertise a Hold time of 0 to the BSR, so as to inform the entire Domain that the C-RP is going down. It can now start advertising with a changed RP priority.
The above shall take care of "A router that booted late and received 2nd BSR message will map G to RP2 while this router will use RP1 for G."
I think one can interpret Change of RP priority as the same C-RP has booted up again/ freshly with different RP priority. Checking the priority of the RP's every time one receives BSR message will add additional overhead to the BSR-RP mechanism.

regards,
P.Jhingran

On Tue, 08 Jan 2002 Katta Sambasivarao wrote :
> 
> hi,
> I have a doubt about using RP-set info received in 
> BSR message.
> 
> Section 3.4 of BSR draft talks about checking for new 
> RPs and missing old RPs in BSR message for J/P states 
> this router got.
> 
> Suppose I received a BSR message with RP1 and RP2 for 
> group (G/32) and RP1 priority is more than RP2.
> 
> Now I select RP1 as RP for group G. Now in later BSR 
> message, suppose that the priority of RP1 is less than 
> RP2. 
> From the draft(sec 3.4), I understood that RP priority 
> is used only in tie breaking. Once we selcted RP we 
> will not change until that RP becomes un-available or 
> new RP becomes available. So the change in priority 
> like in above case will not affect the existing states. 
> 
> But will that not lead to problem. A router that booted 
> late and received 2nd BSR message will map G to RP2 
> while this router will use RP1 for G.
> 
> I think, Section 3.4 should address the change in RP 
> priority case also. A router should check for 
> correctness of old RP mappings as per new BSR message.
> 
> Please correct me, if my understanding is not correct.
> 
> Thanks in advance.
> 
> regards,
> Katta
> 
> 
>  
>